# WARNING: This package is synced with FC
%global major 13
%define libname %mklibname ucpp %major
%define devname %mklibname ucpp -d

%define commit 79f08e39c676f15ed8a59335f6c9b924

Summary: Embeddable, quick, light and fully compliant ISO C99 preprocessor
Name: ucpp
Version: 1.3.5
Group: System/Libraries
Release: %mkrel 2
URL: https://gitlab.com/scarabeusiv/ucpp
Source0: https://gitlab.com/scarabeusiv/ucpp/uploads/%{commit}/ucpp-%{version}.tar.xz
License: BSD
# fix rpath issue
BuildRequires: libtool

%description
A C preprocessor is a part of a C compiler responsible for macro replacement,
conditional compilation and inclusion of header files. It is often found as
a stand-alone program on Unix systems.

ucpp is such a preprocessor; it is designed to be quick and light, but anyway
fully compliant to the ISO standard 9899:1999, also known as C99. ucpp can be
compiled as a stand-alone program, or linked to some other code; in the latter
case, ucpp will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %libname
Summary: Library for preprocessing C code compliant with ISO-C99
Group: System/Libraries
Obsoletes: %{_lib}ucpp0 < 1.3.4-13

%description -n %libname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

%package -n %devname
Group: Development/C
Summary: Development files for libucpp Library
Requires: %libname >= %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
libucpp is an ISO standard 9899:1999 compliant preprocessing library for C
code. It will output tokens, one at a time, on demand, as an integrated lexer.

This package contains the development files for the library.

%prep
%setup -q
# convert README to UTF-8
iconv -f iso8859-1 -t utf8 README >README.utf8 && \
 touch -r README.utf8 README && \
 mv README.utf8 README

%build
# autoreconf to fix rpath issue
autoreconf -vif
%configure \
           --disable-rpath \
           --disable-silent-rules \
           --disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/ucpp
%{_mandir}/man1/ucpp.1*

%files -n %libname
%doc AUTHORS ChangeLog* COPYING README
%{_libdir}/libucpp.so.%{major}{,.*}

%files -n %devname
%{_includedir}/libucpp
%{_libdir}/libucpp.so
%{_libdir}/pkgconfig/libucpp.pc



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.3.5-2.mga8
+ Revision: 1527261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 1.3.5-1.mga8
+ Revision: 1421176
- new version: 1.3.5
- fix library pkg name
- new URL and Source URL

* Thu May 09 2019 tv <tv> 1.3.4-12.mga7
+ Revision: 1396945
- drop old temp cauldron obsolete

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4-11.mga7
+ Revision: 1301491
- Mageia 7 Mass Rebuild

* Fri Jan 22 2016 daviddavid <daviddavid> 1.3.4-10.mga6
+ Revision: 926437
- switch to %%configure2_5x to fix build

* Wed Aug 26 2015 tv <tv> 1.3.4-9.mga6
+ Revision: 869866
- rebuild with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-8.mga5
+ Revision: 741345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-7.mga5
+ Revision: 690012
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 1.3.4-6.mga5
+ Revision: 658724
- fix requires

* Thu Jul 31 2014 tv <tv> 1.3.4-5.mga5
+ Revision: 658716
- fix package name

* Thu Jul 31 2014 tv <tv> 1.3.4-4.mga5
+ Revision: 658634
- fix file list
- imported package ucpp


* Thu Jul 31 2014 Thierry Vignaud <tv@mageia.org> 1.3.4-4.mga5
- imported from FC

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 22 2014 Dominik Mierzejewski <rpm@greysector.net> 1.3.4-3
- add ?_isa to dependencies

* Sun Nov 03 2013 Dominik Mierzejewski <rpm@greysector.net> 1.3.4-2
- make make verbose
- run ldconfig for libs
- convert README to UTF-8

* Wed Oct 30 2013 Dominik Mierzejewski <rpm@greysector.net> 1.3.4-1
- switch to new upstream
- update to 1.3.4
- split libs and devel subpackages
- call autoreconf to fix rpath issue

* Thu Oct 17 2013 Dominik Mierzejewski <rpm@greysector.net> 1.3.2-1
- initial build
